/** ComLineSort.java (.exceptions)
 *
 *  Eine Applikation, die mit der Klasse Sort ganzzahlige
 *  Eingaben aus der Kommandozeile sortiert.
 */


public class ComLineSort {


  public static void main(String[] args) {

    int[] a;

    try {
      	a = new int[args.length];
      	for(int i=0;i<a.length;i++)
            a[i] = Integer.parseInt(args[i]);
    }

    catch (NumberFormatException e) {
	System.out.println("Falsche Parameter.");
	System.out.println("Demo mit 3, 2, 1, 4:");
	a = new int[4];
	a[0] = 3; a[1] = 2; a[2] = 1; a[3] = 4;
    }

    try {
      Sort.show(a);
      Sort.mergeSort(a);
      Sort.show(a);
    }

    catch (ArrayIndexOutOfBoundsException e) {
        System.out.println("Fehlende Parameter.");
        System.out.println("Demo mit 3, 2, 1, 4:");
        a = new int[4];
        a[0] = 3; a[1] = 2; a[2] = 1; a[3] = 4;
	
	Sort.show(a);
        Sort.mergeSort(a);
        Sort.show(a);
    }
  }

}

// ComLineSort.java (.exceptions)
